:root {
    --terminal-padding: 15px;
    --line-break-color: #2e2e32;
}

.terminal {
    position: relative;
    margin-top: 40px;
    padding: 0 var(--terminal-padding);
    padding-top: 5px;
    min-width: 200px;
    min-height: 100px;
    width: fit-content;
    
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;

    color: var(--nav-foreground-color);
    background-color: var(--nav-background-color);
}

.terminal::before {
    content: attr(name);
    
    position: absolute; 
    left: 0;
    right: 0;
    top: -20px;
    height: 20px;


    
    display: flex;
    align-items: center;
    padding: 0 var(--terminal-padding);
    font-size: 0.8rem; 

    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    
    background-color: var(--nav-background-color); 
    opacity: 0.75;
}

.pageHeading {
  text-decoration: underline 2px var(--line-break-color);
  text-underline-offset: 10px;
  margin: 20px 0;
  font-size: 40px;
}

.pageSubheading {
  display: block;
  border-bottom: 2px solid var(--line-break-color);
  margin: 20px 0;
  padding-left: 0px;
  font-size: 32px;
}